<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>
				
				<p class="nocomments">This post is password protected. Enter the password to view comments.<p>
				
				<?php
				return;
            }
        }

		/* This variable is for alternating comment background */
		$oddcomment = 'odd';
?>

<!-- You can start editing here. -->

 


<?php if ($comments) : ?>
<div class="commentbox">
<h1 class="heading"><?php comments_number(__('No Comments'), __('1 Comment'), __('% Comments')); ?></h1>

<?php 

	/* Count the totals */
	$numPingBacks = 0;
	$numComments  = 0;

	/* Loop through comments to count these totals */
	foreach ($comments as $comment) {
		if (get_comment_type() != "comment") { $numPingBacks++; }
		else { $numComments++; }
	}

?>


<?php 

	/* This is a loop for printing comments */
	if ($numComments != 0) : ?>
	
	<?php foreach ($comments as $comment) : ?>
	<?php if (get_comment_type()=="comment") : ?>
 
<div class="comments-box">  
<div class="commtitle"><span><?php echo get_avatar( $comment, 32 ); ?></span><?php comment_author_link() ?> Said on <?php comment_date('M j, Y') ?></div>
<div class="commentry" id="comment-<?php comment_ID() ?>">

		<?php if ($comment->comment_approved == '0') : ?>
		<em>Your comment is awaiting moderation.</em>
		<?php endif; ?>
        <p><?php edit_comment_link('Edit','',''); ?></p>
        <?php comment_text() ?>
	</div>  
    </div>
    <br />
	<?php /* Changes every other comment to a different class */	
	if ('alt' == $oddcomment) $oddcomment = '';
	else $oddcomment = 'odd';
	?>
	
	<?php endif; endforeach; ?>

</div>	
	<?php endif; ?>

<?php

	/* This is a loop for printing trackbacks if there are any */
	if ($numPingBacks != 0) : ?>

<div class="commentbox">	
<h1 class="heading"><?php _e($numPingBacks); ?> Trackback(s)</h1>
<div class="comments-box">
    <div class="commentry">
<?php foreach ($comments as $comment) : ?>
<?php if (get_comment_type()!="comment") : ?>

	
		<?php comment_author_link() ?><br />
		<?php if ($comment->comment_approved == '0') : ?>
		<em>Your comment is awaiting moderation.</em>
		<?php endif; ?>

	
<?php endif; endforeach; ?>
	</div>
</div>
</div>


<?php endif; ?>
	
<?php else : 

	/* No comments at all means a simple message instead */ 
?>

<?php endif; ?>

<?php if (comments_open()) : ?>
	
	<?php if (get_option('comment_registration') && !$user_ID ) : ?>
		<p id="comments-blocked">You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=
		<?php the_permalink(); ?>">logged in</a> to post a comment.</p>
	<?php else : ?>

	
    <div class="commentbox">
    <h1 class="heading">Leave A Reply</h1>
    <div class="comments-box"> 
    <div class="commentry">
    <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
	<?php if ($user_ID) : ?>
	
	<p>You are logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php">
		<?php echo $user_identity; ?></a>. To logout, <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">click here</a>.
	</p>
	
<?php else : ?>	
	
		<p>
		<input class="textfield" type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
        <label for="author"><strong>Name</strong> <?php if ($req) _e(' (required)'); ?></label>
        </p>
				
		<p>
		<input class="textfield" type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" tabindex="2" size="22" />		
		<label for="email"><strong>E-mail</strong> (will not be published)<?php if ($req) _e(' (required)'); ?></label>
        </p>
        
		<p>
		<input class="textfield" type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
        <label for="url"><strong>Website</strong></label>
        </p>
	
	<?php endif; ?>

		<p><textarea name="comment" id="comment" cols="60" rows="10" tabindex="4"></textarea></p>

		<p><input name="submit" type="image" src="<?php bloginfo('template_directory') ?>/images/submit-comment.gif" />
		<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" /></p>
	
	<?php do_action('comment_form', $post->ID); ?>

	</form>
        </div>
    </div></div>
<?php endif; // If registration required and not logged in ?>

<?php else : // Comments are closed ?>
	<p id="comments-closed">Sorry, comments for this entry are closed at this time.</p>
<?php endif; ?>
